remove _home_root_mount

This commit is contained in:
Tobias Powalowski 2023-02-14 07:06:43 +01:00
parent de3a3ac015
commit 3fef470b5e
2 changed files with 1 additions and 13 deletions

View file

@ -269,16 +269,6 @@ _cleanup_cache() {
done
}
# needed for programs which check disk space
_home_root_mount() {
if ! mountpoint /home &>/dev/null; then
/usr/bin/mount -t tmpfs tmpfs /home
fi
if ! mountpoint /root &>/dev/null; then
/usr/bin/mount -t tmpfs tmpfs /root
fi
}
_prepare_graphic() {
_GRAPHIC="${1}"
if [[ ! -e "/.full_system" ]]; then
@ -329,7 +319,6 @@ _prepare_graphic() {
echo "Cleanup locale and i18n..."
rm -rf /usr/share/{locale,i18n}
fi
_home_root_mount
systemd-sysusers >/dev/tty7 2>&1
systemd-tmpfiles --create >/dev/tty7 2>&1
systemctl restart dbus
@ -430,7 +419,6 @@ _full_system() {
pacman -Sy >/dev/tty7 2>&1 || exit 1
pacman -Qqn | pacman -S --noconfirm man-db man-pages texinfo - >/dev/tty7 2>&1 || exit 1
echo -e "\e[1mStep 2/3:\e[m Checking /home and /root are tmpfs..."
_home_root_mount
echo -e "\e[1mStep 3/3:\e[m Checking kernel version..."
_kernel_check
echo -e "\e[1mFull Arch Linux system is ready now.\e[m"

View file

@ -8,7 +8,7 @@ build ()
add_checked_modules 'virtio|zram|btrfs|libcrc32|zstd|sg|pkcs8_key_parser'
### setting up base structure
map add_dir "/root" "/mnt" "/install" "/var/log" "/home" "/var/tmp"
map add_dir "/root" "/mnt" "/sysroot" "/install" "/var/log" "/home" "/var/tmp"
add_symlink /var/run ../run
add_symlink /var/lock ../run/lock